Page MenuHomePhabricator

relocate/reimage cloudvirt1004 with 10G interfaces
Closed, ResolvedPublic

Description

  • - put system offline in all checks for maint window
  • - apply bios/ilo updates
  • - update RAID to include spare drives
  • - rename/rebuild system from labvirt1005 to cloudvirt1005, move to role::spare
  • - relocate to 10G rack and update netbox
  • - enable PXE for 10G interfaces.
  • - update switch configuration for new primary 10G Nic
  • - update switch configuration and attach secondary 10G port
  • - remove old switch port info
  • - PXE boot and reimage system
  • - update netbox with new name and location
  • - reintroduce system into service cluster

[]x - update switch and physical labels with new name and location

Event Timeline

Andrew created this task.Apr 16 2019, 7:58 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptApr 16 2019, 7:58 PM

Change 504422 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Rename more labvirts to cloudvirts

https://gerrit.wikimedia.org/r/504422

Change 504424 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/dns@master] Rename more labvirts to cloudvirts

https://gerrit.wikimedia.org/r/504424

Change 504424 merged by Andrew Bogott:
[operations/dns@master] Rename more labvirts to cloudvirts

https://gerrit.wikimedia.org/r/504424

Change 504422 merged by Andrew Bogott:
[operations/puppet@production] Rename more labvirts to cloudvirts

https://gerrit.wikimedia.org/r/504422

MAC F0:92:1C:05:F5:70

Cmjohnson updated the task description. (Show Details)Apr 17 2019, 6:15 PM

This is ready for you @andrewbogott

colewhite triaged this task as Normal priority.Apr 17 2019, 6:48 PM
Cmjohnson updated the task description. (Show Details)Apr 17 2019, 8:12 PM

raid updated

Cmjohnson moved this task from Backlog to Cloud Tasks on the ops-eqiad board.Apr 17 2019, 8:31 PM
Andrew updated the task description. (Show Details)Apr 18 2019, 4:03 PM
Andrew assigned this task to Cmjohnson.Apr 18 2019, 6:27 PM

Assigning back to Chris for remove old switch port info/update netbox with new name and location/update switch and physical labels with new name and location. I'll repool and add to the cluster after the test VM runs for a day or two without issues.

Cmjohnson updated the task description. (Show Details)Apr 19 2019, 5:28 PM
Cmjohnson reassigned this task from Cmjohnson to Andrew.
Cmjohnson removed projects: ops-eqiad, DC-Ops.

Removing ops-eqiad tag and assigning to @Andrew

Change 506715 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] nova: pool labvirt1001, 1002, 1003, 1004

https://gerrit.wikimedia.org/r/506715

Change 506715 merged by Andrew Bogott:
[operations/puppet@production] nova: pool cloudvirt1001, 1002, 1003, 1004

https://gerrit.wikimedia.org/r/506715

Andrew closed this task as Resolved.May 6 2019, 3:01 PM
Andrew updated the task description. (Show Details)